<?PHP

define("VERSION","Classic v1.02.0");

#############################################################################
# PHPFormMail - Something we've allways had...				    #
# Copyright (c) 1999 Andrew Riley (boad@boaddrink.com)			    #
#									    #
# This program is free software; you can redistribute it and/or 	    #
# modify it under the terms of the GNU General Public License		    #
# as published by the Free Software Foundation; either version 2	    #
# of the License, or (at your option) any later version.		    #
#									    #
# This program is distributed in the hope that it will be useful,	    #
# but WITHOUT ANY WARRANTY; without even the implied warranty of	    #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the 	    #
# GNU General Public License for more details.				    #
#									    #
# You should have received a copy of the GNU General Public License	    #
# along with this program; if not, write to the Free Software		    #
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,    #
# USA.									    #
#									    #
#############################################################################
#									    #
# If you run into any problems, pleas read the readme_formmail.txt.	    #
# If that does not help, check out http://www.boaddrink.com.		    #
#									    #
# For more info, please visit http://www.boaddrink.com or read the readme   #
# file included.							    #
#############################################################################
#									    #
# Value array fix by: Konrad Maqestieau (konrad@shortcircuit.be)	    #
#									    #
#############################################################################
# $referers allows forms to be located only on servers which are defined    #
# in this field.							    #

$referers = array("216.234.178.16","edurango.com.mx","www.edurango.com.mx");

$valid_env = array("REMOTE_HOST", "REMOTE_ADDR", "REMOTE_USER", "HTTP_USER_AGENT");

#############################################################################

$errors = array();
$invis_array = array("recipient","subject","required","redirect",
		     "print_blank_fields","env_report","sort",
		     "missing_fields_redirect","title","bgcolor",
		     "text_color","link_color","alink_color",
		     "vlink_color","background","subject","title",
		     "link","css","return_link_title",
		     "return_link_url");


// START removing the /* and */ for PHP 3.X

/*function in_array($needle,$haystack){
	$found = false;
	while (list($key,$val) = each ($haystack)){
		if ($needle == $val){
			$found = true;
		}
	}
	return $found;
}*/

// STOP removing the /* and */ for PHP 3.X

function fill_data(&$from,$to,$tag=""){
	if(!$from)
		$from = $to;
	if($tag)
		$from = " " . $tag . "=\"" . $from . "\"";
}

function check_referer($referers){
	if (count($referers)){
		$temp = explode("/",getenv("HTTP_REFERER"));
		$found = in_array($temp[2],$referers);
		if (!$found){
			global $errors;
			$errors[] = "You are comming from an unauthorized domain.";
			error_log("[PHPFormMail] Illegal Referer. (".getenv("HTTP_REFERER").")", 0);
		}
		return $found;
	} else
		return true; //Not a good idea, if empty, it will allow it.
}

function decode_vars(){
	$request = "HTTP_" . getenv("REQUEST_METHOD") . "_VARS";
	global $$request;
	return $$request;
}

function error($errors){
	global $form;
	if ($errors){
		if ($form["missing_fields_redirect"]){
			Header(  "Location: ". $form["missing_fields_redirect"]);
			exit;
		} else {
			$output = "<p class=\"title\">The following errors were found:</p>\n";
			while (list(,$val) = each ($errors)) {
				$output .= $val . "<br />\n";
			}
			$output .=  "<p>Please use the <a href=\"javascript: history.back();\">back</a> button to correct these errors.</p>\n";
			output_html($output);
		}
	}
}

function check_required(){
	global $form;
	global $errors;
	global $invis_array;
	$problem = true;
	if (!$form["recipient"]) {
		$problem = false;
		$errors[] = "There is no recipient to send this mail to.";
	}
	if ($form["required"]){
		$required = split(",",$form["required"]);
		while(list(,$val) = each($required)){
			$regex_field_name = $val . "_regex";
			if(!$form[$val]){
				$problem = false;
				$errors[] = "Required value (<b>" . $val . "</b>) is missing.";
			} else	if(isset($form[$regex_field_name])){
				if(!eregi($form[$regex_field_name],$form[$val])){
					$problem = false;
					$errors[] = "Required value (<b>" . $val . "</b>) has an invalid format.";
				}
				$invis_array[] = $regex_field_name;
			}
		}
	}
	return $problem;
}

function sort_fields(){
	global $form;
	switch($form["sort"]){
		case "alphabetic":
		case "alpha":		ksort($form);
					break;
		case "ralphabetic":
		case "ralpha":		krsort($form);
					break;
		default:		if($col = strpos($form["sort"],":")){
						$form["sort"] = substr($form["sort"],($col + 1));
						$temp_sort_arr = explode(",",$form["sort"]);
						for($x = 0; $x < count($temp_sort_arr); $x++){
							$out[$temp_sort_arr[$x]] = $form[$temp_sort_arr[$x]];
							unset($form[$temp_sort_arr[$x]]);
						}
						$form = array_merge($out,$form);
					}
	}
	return true;
}

function send_mail(){
	global $form;
	global $invis_array;
	global $valid_env;
	$mailbody = "Below is the result of your feedback form.  It was submitted by\n";
	$mailbody.= $form["realname"]. " (" .$form["email"].") on " . date("F dS, Y") ."\n\n";

	reset($form);
	while (list($key,$val) = each($form)){
		if ((!in_array($key,$invis_array)) && (($form["print_blank_fields"]) || ($val))){
			if(is_array($val))
				$val = implode(", ", $val);
			$mailbody .= $key . ": " . stripslashes($val) . "\n";
		}
	}

	if ($form["env_report"]){
		$temp_env_report = explode(",",$form["env_report"]);
		$mailbody .= "\n\n-------- Env Report --------\n";
		while(list(,$val) = each($temp_env_report)){
			if(in_array($val,$valid_env))
				$mailbody .= $val . ": " . getenv($val) . "\n";
		}
	}

	$mail_status = @mail($form["recipient"],$form["subject"],$mailbody,"From: " .$form["email"]. " (" .$form["realname"]. ")\nX-Mailer: PHPFormMail " . VERSION . " (http://www.boaddrink.com)");
	if(!$mail_status){
		 $errors[] = "Mail could not be sent due to mailserver configuration problems.";
                 error_log("[PHPFormMail] Mail could not be sent due to mailserver configuration problems.");
	}
}

function output_html($body){
	global $form;
	print "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n";
	print "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en-US\" lang=\"en-US\">\n";
	require_once ('webmail/html/header.php');
	print $body;
	require_once ('webmail/html/footer.php');

		$hora = date("H") + 1;
		$minutos = date("i") - 5;
		if ($minutos < 0) {
			 $minutos = 0;
			 $hora = $hora - 1;
		} 
		if ($hora > 23) {
			 $hora = 0;
		}
		
		$comentarios = substr($form["Comentarios"], 0, 100);
		$file = "http://www.telcel.com/cgi-bin/mensamxproga.cgi?telefono=6181029916&comments=comentario  $comentarios&atencion=01&dia=".date("d")."&mes=".date("m")."&ano=".date("Y")."&hora=$hora&minutos=$minutos";
		$login_box = file ($file);
//		print_r ($login_box);

}

$form = decode_vars();
fill_data($form["bgcolor"],"#FFFFFF","bgcolor");
fill_data($form["text_color"],"#000000","text");
fill_data($form["link_color"],"#0000FF","link");
fill_data($form["alink_color"],"#FF0000","alink");
fill_data($form["vlink_color"],"#000099","vlink");
fill_data($form["background"],"","background");
fill_data($form["title"],"Form Results");

if(check_referer($referers) && check_required()){
	fill_data($form["subject"],"WWW Form Submission");
	fill_data($form["email"],"exampleemail@example.com");
	fill_data($form["realname"],"Unknown Stranger");

	if($form["sort"])
		sort_fields();

	send_mail();

	if ($form["redirect"]){
		Header("Location: ".$form["redirect"]);
		exit;
	} else {

		$output = '
                        <p align="right"><font face="Geneva, Arial, Helvetica, san-serif" size="+3" color="#003366"><b>Formulario 
                          de Envio.</b></font><font face="Geneva, Arial, Helvetica, san-serif" size="-1"><br>
                          <b>Principal</b> :: <i>Formulario de envio.</i></font></p>
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr> 
                            <td align="center" background="images/std/rayaPunteadaHoz.gif"><img src="images/std/menuIZQ/spacer.gif" id="nomostrar" width="441" height="1"></td>
                          </tr>
                          <tr> 
                            <td align="center"><img src="images/std/menuIZQ/spacer.gif" id="nomostrar" width="441" height="10"></td>
                          </tr>
                          <tr> 
                            <td align="left" valign="top"> 
                              <p class="textoNormal">Gracias por contactarnos. 
                                en breve nos comunicaremos con usted. </p>
                              <p class="textoNormal">Los siguientes datos fueron 
                                enviados:</p>
                              <ul>';


		reset($form);
		while(list($key,$val) = each($form)){
			if (!in_array($key,$invis_array)){
				if(is_array($val))
					$val = implode(", ", $val);
				$output .= "<li class=\"textoNormal\"><b>" . htmlspecialchars($key) . ":</b></li> " . htmlspecialchars(stripslashes($val)) . "<br />\n";
			}
		}


$output .= '
                              </ul>
                              <p class="textoNormal">Atentamente eDurango, media&amp;web 
                                Solutions.</p>
                            </td>
                          </tr>
                          <tr> 
                            <td align="center"><img src="images/std/menuIZQ/spacer.gif" id="nomostrar" width="441" height="10"></td>
                          </tr>
                          <tr> 
                            <td align="center" background="images/std/rayaPunteadaHoz.gif"><img src="images/std/menuIZQ/spacer.gif" id="nomostrar" width="441" height="1"></td>
                          </tr>
                        </table>
';

		output_html($output);
	}
}

error($errors);
?>
